/// <reference types="@adonisjs/drive/build/adonis-typings" />
declare module '@ioc:Adonis/Core/Drive' {
    import { CommonOptions, BlobServiceClient } from '@azure/storage-blob';
    /**
     * Configuration accepted by the gcs driver
     */
    type AzureStorageDriverConfig = CommonOptions & {
        driver: 'AzureStorage';
        connection_string?: string;
        azure_tenant_id?: string;
        azure_client_id?: string;
        azure_client_secret?: string;
        name?: string;
        key?: string;
        local_address?: string;
        container?: string;
    };
    /**
     * The Azure Storage driver implementation interface
     */
    interface AzureStorageDriverContract extends DriverContract {
        name: 'AzureStorage';
        adapter: BlobServiceClient;
    }
}
