"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CannotDeleteContainerException = exports.CannotFindContainerException = exports.CannotCreateContainerException = void 0;
const standalone_1 = require("@adonisjs/core/build/standalone");
/**
 * Unable to create container
 */
class CannotCreateContainerException extends standalone_1.Exception {
    static invoke(containerName, original) {
        const error = new this(`Cannot create container with name: "${containerName}"`, 500, 'E_CANNOT_CREATE_CONTAINER');
        error.containerName = containerName;
        error.original = original;
        return error;
    }
}
exports.CannotCreateContainerException = CannotCreateContainerException;
/**
 * Unable to create container
 */
class CannotFindContainerException extends standalone_1.Exception {
    static invoke(containerName, original) {
        const error = new this(`Cannot find container with name: "${containerName}"`, 500, 'E_CANNOT_FIND_CONTAINER');
        error.containerName = containerName;
        error.original = original;
        return error;
    }
}
exports.CannotFindContainerException = CannotFindContainerException;
/**
 * Unable to create container
 */
class CannotDeleteContainerException extends standalone_1.Exception {
    static invoke(containerName, original) {
        const error = new this(`Cannot delete container with name: "${containerName}"`, 500, 'E_CANNOT_CREATE_CONTAINER');
        error.containerName = containerName;
        error.original = original;
        return error;
    }
}
exports.CannotDeleteContainerException = CannotDeleteContainerException;
